package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.HolderDetailExRedisVo;
import com.muchinfo.mtp3pojos.vo.query.order.*;

import javax.servlet.http.HttpServletRequest;

public interface IOrderQueryService {
    PageResult<OrderQueryResult> query(OrderQueryParam param, HttpServletRequest request);

    AjaxResult<OrderQueryResult> queryDetail(OrderQueryParam param,HttpServletRequest request);

    AjaxResult export(OrderQueryParam param, HttpServletRequest request);

    PageResult<TerOrderQueryResult> queryTerOrder(TerOrderQueryParam param, HttpServletRequest request);

    AjaxResult terOrderExport(TerOrderQueryParam param, HttpServletRequest request);

    PageResult<DeliveryOrderResult> queryDeliveryOrder(DeliveryOrderParam param, HttpServletRequest request);

    AjaxResult<DeliveryOrderResult> deliveryOrderDetail(DeliveryOrderParam param, HttpServletRequest request);

    AjaxResult deliveryOrderExport(DeliveryOrderParam param, HttpServletRequest request);

    PageResult<OrderDateQueryResult> queryOrderDate(OrderDateQueryParam param, HttpServletRequest request);

    AjaxResult orderDateExport(OrderDateQueryParam param, HttpServletRequest request);

    PageResult<ForcedOrderResult> queryForcedOrder(ForcedOrderParam param, HttpServletRequest request);

    AjaxResult forcedOrderExport(ForcedOrderParam param, HttpServletRequest request);

    AjaxResult forcedOrderRecover(String closeid, HttpServletRequest request);

    AjaxResult<MonitorddjkCountResult> monitorddjkCount(MonitorddjkParam param, HttpServletRequest request);

    PageResult<HolderDetailExRedisVo> monitorddjk(MonitorddjkParam param, HttpServletRequest request);
}
